com.beaglebuddy.id3.enums.v24

## Enum TextEncodingRestriction

- java.lang.Object
- - java.lang.Enum<TextEncodingRestriction>
  - - com.beaglebuddy.id3.enums.v24.TextEncodingRestriction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextEncodingRestriction>

      public enum TextEncodingRestriction
      extends java.lang.Enum<TextEncodingRestriction>

  valid ID3v2.4 text encoding restrictions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ISO_8859_1_OR_UTF_8` Strings are only encoded with ISO-8859-1 or UTF-8.
    `NO_RESTRICTIONS` No String encoding restrictions.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` get a description of the text encoding restriction.
    `byte` | `getMask()` get the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.
    `static TextEncodingRestriction` | `getTextEncodingRestriction(byte textEncodingRestriction)` converts an integral value to its corresponding text encoding restriction enum.
    `java.lang.String` | `toString()` get a string representation of the text encoding restriction.
    `static TextEncodingRestriction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextEncodingRestriction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_RESTRICTIONS

          public static final TextEncodingRestriction NO_RESTRICTIONS

      No String encoding restrictions.

    - #### ISO_8859_1_OR_UTF_8

          public static final TextEncodingRestriction ISO_8859_1_OR_UTF_8

      Strings are only encoded with ISO-8859-1 or UTF-8.

  - ### Method Detail

    - #### values

          public static TextEncodingRestriction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextEncodingRestriction c : TextEncodingRestriction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextEncodingRestriction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      get a description of the text encoding restriction.
      Returns:
        a description of the text encoding restriction.

    - #### getMask

          public byte getMask()

      get the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.
      Returns:
        the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.

    - #### getTextEncodingRestriction

          public static TextEncodingRestriction getTextEncodingRestriction(byte textEncodingRestriction)
                                                                    throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding text encoding restriction enum.
      Parameters:
        `textEncodingRestriction` - integral value to be converted to a text encoding restriction enum.
      Returns:
        a text encoding restriction enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the integral value is not a valid text encoding restriction.

    - #### toString

          public java.lang.String toString()

      get a string representation of the text encoding restriction.
      Overrides:
        `toString` in class `java.lang.Enum<TextEncodingRestriction>`
      Returns:
        a string representation of the text encoding restriction.